diff --git a/encoder/encoder.c b/encoder/encoder.c
index 348042e..8a50f15 100644
--- a/encoder/encoder.c
+++ b/encoder/encoder.c
@@ -743,12 +743,12 @@ static int x264_validate_parameters( x264_t *h )
             s = h->param.analyse.b_psnr ? "psnr" : "ssim";
             x264_log( h, X264_LOG_WARNING, "--%s used with psy on: results will be invalid!\n", s );
         }
-        else if( !h->param.rc.i_aq_mode && h->param.analyse.b_ssim )
+        else if( !h->param.rc.f_aq_strength && h->param.analyse.b_ssim )
         {
             x264_log( h, X264_LOG_WARNING, "--ssim used with AQ off: results will be invalid!\n" );
             s = "ssim";
         }
-        else if(  h->param.rc.i_aq_mode && h->param.analyse.b_psnr )
+        else if(  h->param.rc.f_aq_strength && h->param.analyse.b_psnr )
         {
             x264_log( h, X264_LOG_WARNING, "--psnr used with AQ on: results will be invalid!\n" );
             s = "psnr";